net.sf.okapi.common.exceptions

## Class OkapiMisAlignmentException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - net.sf.okapi.common.exceptions.OkapiMisAlignmentException

- All Implemented Interfaces:
    java.io.Serializable

      public class OkapiMisAlignmentException
      extends java.lang.RuntimeException

  Signals a misalignment problem in the segments of a text unit.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OkapiMisAlignmentException()` Creates an empty new OkapiMisAlignmentException object.
    `OkapiMisAlignmentException(java.lang.String message)` Creates a new OkapiMisAlignmentException object with a given message.
    `OkapiMisAlignmentException(java.lang.String message, java.lang.Throwable cause)` Creates a new OkapiMisAlignmentException object with a given message and a given parent exception cause.
    `OkapiMisAlignmentException(java.lang.Throwable cause)` Creates a new OkapiMisAlignmentException object with a given parent exception cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OkapiMisAlignmentException

          public OkapiMisAlignmentException()

      Creates an empty new OkapiMisAlignmentException object.

    - #### OkapiMisAlignmentException

          public OkapiMisAlignmentException(java.lang.String message)

      Creates a new OkapiMisAlignmentException object with a given message.
      Parameters:
        `message` - text of the message.

    - #### OkapiMisAlignmentException

          public OkapiMisAlignmentException(java.lang.Throwable cause)

      Creates a new OkapiMisAlignmentException object with a given parent exception cause.
      Parameters:
        `cause` - the parent exception cause.

    - #### OkapiMisAlignmentException

          public OkapiMisAlignmentException(java.lang.String message,
                                    java.lang.Throwable cause)

      Creates a new OkapiMisAlignmentException object with a given message and a given parent exception cause.
      Parameters:
        `message` - the message.
        `cause` - the cause.